<ion-header>
  <ion-navbar color="dark">
    <ion-title>
      Tournois disponibles
    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
    <ion-list *ngIf="tournaments" no-lines>
        <ion-item *ngFor="let tournament of tournaments" style="margin-bottom:20px;">
            <div class="center champ">
              <p>{{tournament.properties.nom}}</p>
              <img class="url" src="{{tournament.properties.url}}" alt="">
            </div>
            <div class="champ">
                <p class="image"><img src="/assets/imgs/controller.png" height="30px" width="30px"></p>
                <p class="text">Jeu : {{tournament.properties.jeu}}</p>
            </div>
            <div class="champ">
                <p class="image"><img src="/assets/imgs/location.png" height="30px" width="30px"></p>
                <p class="text">Lieu : {{tournament.properties.lieu}}</p>
            </div>
            <div class="champ">
                <p class="image"><img src="/assets/imgs/calendar.png" height="30px" width="30px"></p>
                <p class="text">Le {{tournament.properties.date}}</p>
            </div>
            <div class="champ">
                <p class="image"><img src="/assets/imgs/euro.png" height="30px" width="30px"></p>
                <p class="text">{{tournament.properties.prix}} euros</p>
            </div>
            <div class="champ">
                <p class="image"><img src="/assets/imgs/participant.png" height="30px" width="30px"></p>
                <p class="text">{{tournament.properties.nbrParticipants}} participant(s)</p>
            </div>
            <div class="center"><button ion-button (click)="jeParticipe(tournament.key.id,tournament.properties.date,tournament.properties.jeu)">Je participe !</button></div>
            <div class="center"><button ion-button (click)="listParticipants(tournament.key.id)">Liste des participants</button></div>
        </ion-item>
    </ion-list>       
</ion-content>
